List Pronunciation Dictionaries
curl --request GET \
--url https://tavusapi.com/v2/pronunciation-dictionaries \
--header 'x-api-key: <api-key>'import requests
url = "https://tavusapi.com/v2/pronunciation-dictionaries"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://tavusapi.com/v2/pronunciation-dictionaries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"pronunciation_dictionary_id": "pd_abc123def456gh",
"name": "Brand Terms",
"rules_count": 3,
"created_at": "2025-01-15T10:30:00Z",
"updated_at": "2025-01-15T10:30:00Z"
}
],
"total_count": 2,
"page": 0,
"limit": 10
}{
"message": "Invalid access token"
}Pronunciation Dictionaries
List Pronunciation Dictionaries
List all pronunciation dictionaries for the authenticated user with pagination.
GET
/
v2
/
pronunciation-dictionaries
List Pronunciation Dictionaries
For AI agents, use
https://docs.tavus.io/openapi.yaml for the full HTTP API contract.Authorizations
Query Parameters
Number of results per page. Range: 1-100.
Required range:
1 <= x <= 100Zero-based page number.
Sort order by creation date.
Available options:
asc, desc Response
List of pronunciation dictionaries
Dictionaries for the current page; use total_count, page, and limit with the query parameters for pagination.
Show child attributes
Show child attributes
Total number of pronunciation dictionaries for the user
Example:
2
Current page number
Example:
0
Number of dictionaries per page
Example:
10

